"use strict";

exports.__esModule = true;
exports.util = exports.preset = exports.defaultOptions = exports.buildOptions = undefined;
exports.default = preset;

var _buildOptions = require("./buildOptions");

var _buildOptions2 = _interopRequireDefault(_buildOptions);

var _defaultOptions = require("./defaultOptions");

var _defaultOptions2 = _interopRequireDefault(_defaultOptions);

var _util = require("./util");

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Futago-za Ryuu's Babel preset generator.
 *
 * WARNING: This default method is only intended to be used by Babel.
 */

function preset(context, _config) {

    var options = (0, _buildOptions2.default)(_config);

    return {
        shouldPrintComment: function shouldPrintComment(comment) {

            if (!options.config.removeEslintComments) return false;
            return comment.trim().startsWith("eslint", 0) === false;
        },


        "plugins": [[_util2.default.resolve("babel-plugin-module-resolver"), options.resolver], [_util2.default.resolve("babel-plugin-transform-async-to-module-method"), options.async]],

        "presets": [_util2.default.resolve("babel-preset-stage-0"), [_util2.default.resolve("babel-preset-env"), options.env]]

    };
}

/**
 * Exports (e.g. `import * as preset from "babel-preset-futagozaryuu";`).
 */

exports.buildOptions = _buildOptions2.default;
exports.defaultOptions = _defaultOptions2.default;
exports.preset = preset;
exports.util = _util2.default;